package com.ibiz.core.ht.domain;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.math.BigInteger;
import java.util.HashMap;
import java.math.BigDecimal;
import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import java.io.Serializable;

/**
 * 实体[附件]
 */
public class FJ implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 更新时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp updateDate;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean updateDateDirtyFlag;

    /**
     * 建立人
     */
    private String createMan;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean createManDirtyFlag;

    /**
     * 附件标识
     */
    private String fJId;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean fJIdDirtyFlag;

    /**
     * DJID
     */
    private String djid;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean djidDirtyFlag;

    /**
     * 状态
     */
    private String zt;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean ztDirtyFlag;

    /**
     * 建立时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp createDate;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean createDateDirtyFlag;

    /**
     * 序号
     */
    private Integer xh;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean xhDirtyFlag;

    /**
     * 更新人
     */
    private String updateMan;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean updateManDirtyFlag;

    /**
     * 附件名称
     */
    private String fJName;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean fJNameDirtyFlag;


    /**
     * 获取 [更新时间]
     */
    @JsonProperty("updatedate")
    @JSONField(name="updatedate")
    public Timestamp getUpdateDate(){
        return this.updateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    @JsonProperty("updatedate")
    @JSONField(name="updatedate")
    public void setUpdateDate(Timestamp updateDate){
        this.updateDate = updateDate ;
        this.updateDateDirtyFlag = true ;
    }

    /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getUpdateDateDirtyFlag(){
        return this.updateDateDirtyFlag ;
    }
    /**
     * 获取 [建立人]
     */
    @JsonProperty("createman")
    @JSONField(name="createman")
    public String getCreateMan(){
        return this.createMan ;
    }

    /**
     * 设置 [建立人]
     */
    @JsonProperty("createman")
    @JSONField(name="createman")
    public void setCreateMan(String createMan){
        this.createMan = createMan ;
        this.createManDirtyFlag = true ;
    }

    /**
     * 获取 [建立人]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getCreateManDirtyFlag(){
        return this.createManDirtyFlag ;
    }
    /**
     * 获取 [附件标识]
     */
    @JsonProperty("fjid")
    @JSONField(name="fjid")
    public String getFJId(){
        return this.fJId ;
    }

    /**
     * 设置 [附件标识]
     */
    @JsonProperty("fjid")
    @JSONField(name="fjid")
    public void setFJId(String fJId){
        this.fJId = fJId ;
        this.fJIdDirtyFlag = true ;
    }

    /**
     * 获取 [附件标识]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getFJIdDirtyFlag(){
        return this.fJIdDirtyFlag ;
    }
    /**
     * 获取 [DJID]
     */
    @JsonProperty("djid")
    @JSONField(name="djid")
    public String getDjid(){
        return this.djid ;
    }

    /**
     * 设置 [DJID]
     */
    @JsonProperty("djid")
    @JSONField(name="djid")
    public void setDjid(String djid){
        this.djid = djid ;
        this.djidDirtyFlag = true ;
    }

    /**
     * 获取 [DJID]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getDjidDirtyFlag(){
        return this.djidDirtyFlag ;
    }
    /**
     * 获取 [状态]
     */
    @JsonProperty("zt")
    @JSONField(name="zt")
    public String getZt(){
        return this.zt ;
    }

    /**
     * 设置 [状态]
     */
    @JsonProperty("zt")
    @JSONField(name="zt")
    public void setZt(String zt){
        this.zt = zt ;
        this.ztDirtyFlag = true ;
    }

    /**
     * 获取 [状态]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getZtDirtyFlag(){
        return this.ztDirtyFlag ;
    }
    /**
     * 获取 [建立时间]
     */
    @JsonProperty("createdate")
    @JSONField(name="createdate")
    public Timestamp getCreateDate(){
        return this.createDate ;
    }

    /**
     * 设置 [建立时间]
     */
    @JsonProperty("createdate")
    @JSONField(name="createdate")
    public void setCreateDate(Timestamp createDate){
        this.createDate = createDate ;
        this.createDateDirtyFlag = true ;
    }

    /**
     * 获取 [建立时间]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getCreateDateDirtyFlag(){
        return this.createDateDirtyFlag ;
    }
    /**
     * 获取 [序号]
     */
    @JsonProperty("xh")
    @JSONField(name="xh")
    public Integer getXh(){
        return this.xh ;
    }

    /**
     * 设置 [序号]
     */
    @JsonProperty("xh")
    @JSONField(name="xh")
    public void setXh(Integer xh){
        this.xh = xh ;
        this.xhDirtyFlag = true ;
    }

    /**
     * 获取 [序号]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getXhDirtyFlag(){
        return this.xhDirtyFlag ;
    }
    /**
     * 获取 [更新人]
     */
    @JsonProperty("updateman")
    @JSONField(name="updateman")
    public String getUpdateMan(){
        return this.updateMan ;
    }

    /**
     * 设置 [更新人]
     */
    @JsonProperty("updateman")
    @JSONField(name="updateman")
    public void setUpdateMan(String updateMan){
        this.updateMan = updateMan ;
        this.updateManDirtyFlag = true ;
    }

    /**
     * 获取 [更新人]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getUpdateManDirtyFlag(){
        return this.updateManDirtyFlag ;
    }
    /**
     * 获取 [附件名称]
     */
    @JsonProperty("fjname")
    @JSONField(name="fjname")
    public String getFJName(){
        return this.fJName ;
    }

    /**
     * 设置 [附件名称]
     */
    @JsonProperty("fjname")
    @JSONField(name="fjname")
    public void setFJName(String fJName){
        this.fJName = fJName ;
        this.fJNameDirtyFlag = true ;
    }

    /**
     * 获取 [附件名称]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getFJNameDirtyFlag(){
        return this.fJNameDirtyFlag ;
    }

}

