package com.ibiz.core.ht.filter;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import com.ibiz.util.ISearchFilter;
import com.ibiz.util.domain.DataObj;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ibiz.util.SearchContext;
import com.ibiz.util.SearchFieldFilter;
import com.ibiz.util.enums.SearchFieldType;
import com.ibiz.util.enums.SearchGroupType;
import com.ibiz.util.SearchGroupFilter;
import lombok.Data;

/**
 * 关系型数据实体[BC] 查询条件对象
 */
@Data
public class BCSearchContext extends SearchContext {

	   public String n_wfstep_eq;//[工作流步骤]
       public void setN_wfstep_eq(String n_wfstep_eq) {
            this.n_wfstep_eq=n_wfstep_eq;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("wfstep");
            searchField.setCondition(SearchFieldType.EQ);
            searchField.setValue(n_wfstep_eq);
            this.getCondition().add(searchField);
       }
	   public String n_bcname_like;//[业务协作名称]
       public void setN_bcname_like(String n_bcname_like) {
            this.n_bcname_like=n_bcname_like;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("bcname");
            searchField.setCondition(SearchFieldType.LIKE);
            searchField.setValue(n_bcname_like);
            this.getCondition().add(searchField);
       }
	   public String n_bcwfstate_eq;//[流程状态]
       public void setN_bcwfstate_eq(String n_bcwfstate_eq) {
            this.n_bcwfstate_eq=n_bcwfstate_eq;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("bcwfstate");
            searchField.setCondition(SearchFieldType.EQ);
            searchField.setValue(n_bcwfstate_eq);
            this.getCondition().add(searchField);
       }
	   public String n_orgdeptname_eq;//[部门名称]
       public void setN_orgdeptname_eq(String n_orgdeptname_eq) {
            this.n_orgdeptname_eq=n_orgdeptname_eq;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("orgdeptname");
            searchField.setCondition(SearchFieldType.EQ);
            searchField.setValue(n_orgdeptname_eq);
            this.getCondition().add(searchField);
       }
	   public String n_orgdeptname_like;//[部门名称]
       public void setN_orgdeptname_like(String n_orgdeptname_like) {
            this.n_orgdeptname_like=n_orgdeptname_like;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("orgdeptname");
            searchField.setCondition(SearchFieldType.LIKE);
            searchField.setValue(n_orgdeptname_like);
            this.getCondition().add(searchField);
       }
	   public String n_imid_eq;//[重要事项标识]
       public void setN_imid_eq(String n_imid_eq) {
            this.n_imid_eq=n_imid_eq;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("imid");
            searchField.setCondition(SearchFieldType.EQ);
            searchField.setValue(n_imid_eq);
            this.getCondition().add(searchField);
       }
	   public String n_orgdeptid_eq;//[部门标识]
       public void setN_orgdeptid_eq(String n_orgdeptid_eq) {
            this.n_orgdeptid_eq=n_orgdeptid_eq;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("orgdeptid");
            searchField.setCondition(SearchFieldType.EQ);
            searchField.setValue(n_orgdeptid_eq);
            this.getCondition().add(searchField);
       }

	/**
	 * 启用快速搜索
	 */
	public void setQuery(String strQuery)
	{
		 this.query=strQuery;
         if(!org.springframework.util.StringUtils.isEmpty(strQuery)){
           SearchGroupFilter searchGroupFilter=new SearchGroupFilter();
           searchGroupFilter.setSearchGroupType(SearchGroupType.OR);

           SearchFieldFilter bcname=new SearchFieldFilter();
           bcname.setParam("bcname");
           bcname.setCondition(SearchFieldType.LIKE);
           bcname.setValue(strQuery);
           searchGroupFilter.getCondition().add(bcname);
        this.getCondition().add(searchGroupFilter);   

           
           
        }
	}
}
