package com.ibiz.core.ht.filter;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import com.ibiz.util.ISearchFilter;
import com.ibiz.util.domain.DataObj;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ibiz.util.SearchContext;
import com.ibiz.util.SearchFieldFilter;
import com.ibiz.util.enums.SearchFieldType;
import com.ibiz.util.enums.SearchGroupType;
import com.ibiz.util.SearchGroupFilter;
import lombok.Data;

/**
 * 关系型数据实体[FJ] 查询条件对象
 */
@Data
public class FJSearchContext extends SearchContext {

	   public String n_fjname_like;//[附件名称]
       public void setN_fjname_like(String n_fjname_like) {
            this.n_fjname_like=n_fjname_like;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("fjname");
            searchField.setCondition(SearchFieldType.LIKE);
            searchField.setValue(n_fjname_like);
            this.getCondition().add(searchField);
       }

	/**
	 * 启用快速搜索
	 */
	public void setQuery(String strQuery)
	{
		 this.query=strQuery;
         if(!org.springframework.util.StringUtils.isEmpty(strQuery)){
           SearchGroupFilter searchGroupFilter=new SearchGroupFilter();
           searchGroupFilter.setSearchGroupType(SearchGroupType.OR);

           SearchFieldFilter fjname=new SearchFieldFilter();
           fjname.setParam("fjname");
           fjname.setCondition(SearchFieldType.LIKE);
           fjname.setValue(strQuery);
           searchGroupFilter.getCondition().add(fjname);
        this.getCondition().add(searchGroupFilter);   

           
           
        }
	}
}
