package com.ibiz.core.ht.filter;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import com.ibiz.util.ISearchFilter;
import com.ibiz.util.domain.DataObj;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ibiz.util.SearchContext;
import com.ibiz.util.SearchFieldFilter;
import com.ibiz.util.enums.SearchFieldType;
import com.ibiz.util.enums.SearchGroupType;
import com.ibiz.util.SearchGroupFilter;
import lombok.Data;

/**
 * 关系型数据实体[SRFFILE] 查询条件对象
 */
@Data
public class SRFFILESearchContext extends SearchContext {

	   public String n_srffilename_like;//[FILE名称]
       public void setN_srffilename_like(String n_srffilename_like) {
            this.n_srffilename_like=n_srffilename_like;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("srffilename");
            searchField.setCondition(SearchFieldType.LIKE);
            searchField.setValue(n_srffilename_like);
            this.getCondition().add(searchField);
       }

	/**
	 * 启用快速搜索
	 */
	public void setQuery(String strQuery)
	{
		 this.query=strQuery;
         if(!org.springframework.util.StringUtils.isEmpty(strQuery)){
           SearchGroupFilter searchGroupFilter=new SearchGroupFilter();
           searchGroupFilter.setSearchGroupType(SearchGroupType.OR);

           SearchFieldFilter srffilename=new SearchFieldFilter();
           srffilename.setParam("srffilename");
           srffilename.setCondition(SearchFieldType.LIKE);
           srffilename.setValue(strQuery);
           searchGroupFilter.getCondition().add(srffilename);
        this.getCondition().add(searchGroupFilter);   

           
           
        }
	}
}
