package com.ibiz.core.ht.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.ibiz.core.ht.domain.BC;
import com.ibiz.core.ht.filter.BCSearchContext;

/**
 * 实体[BC] 服务对象接口
 */

public interface IBCService{
     BC get(String bCId) ;
     BC get(BC bC) ;
     BC getDraft(BC bC) ;
     boolean create(BC bC) ;
     boolean remove(String bCId) ;
     boolean update(BC bC) ;
     boolean checkKey(BC bC) ;
     boolean save(BC bC) ;

    /**
     * 查询集合 DEFAULT
     */
    Page<BC> searchDefault(BCSearchContext context) ;

    /**
     * 根据重要事项查询
     */
     Page<BC> selectByIM(String imid) ;
     List<BC> selectByIM2(String imid);

    /**
     * 根据部门查询
     */
     Page<BC> selectByORGDEPT(String orgdeptid) ;
     List<BC> selectByORGDEPT2(String orgdeptid);

}
