package com.ibiz.core.ht.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.ibiz.core.ht.domain.IM;
import com.ibiz.core.ht.filter.IMSearchContext;

/**
 * 实体[IM] 服务对象接口
 */

public interface IIMService{
     boolean update(IM iM) ;
     IM hD(IM iM) ;
     IM getDraft(IM iM) ;
     boolean create(IM iM) ;
     boolean remove(String iMId) ;
     boolean save(IM iM) ;
     IM get(String iMId) ;
     IM get(IM iM) ;
     boolean checkKey(IM iM) ;
     IM getMP(IM iM) ;
     IM createAndStart(IM iM) ;

    /**
     * 查询集合 DEFAULT
     */
    Page<IM> searchDefault(IMSearchContext context) ;

    /**
     * 根据部门查询
     */
     Page<IM> selectByNGRBM(String orgdeptid) ;
     List<IM> selectByNGRBM2(String orgdeptid);

    /**
     * 根据组织用户查询
     */
     Page<IM> selectByNGR(String orguserid) ;
     List<IM> selectByNGR2(String orguserid);

}
