package com.ibiz.core.ht.service.impl;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;
import org.springframework.cglib.beans.BeanCopier;
import org.springframework.stereotype.Service;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.Pageable;
import org.springframework.transaction.annotation.Transactional;
import com.ibiz.core.ht.domain.FJ;
import com.ibiz.core.ht.filter.FJSearchContext;
import com.ibiz.core.ht.service.IFJService;
import org.springframework.beans.factory.annotation.Autowired;
import com.ibiz.util.SearchResult;

/**
 * 实体[附件] 服务对象接口实现
 */
@Service
public class FJServiceImpl implements IFJService {

    @Autowired
    com.ibiz.core.repository.FJRepository fJRepository;

    @Override
    @Transactional
    public boolean save(FJ fj) {
        if(fj.getFJId()==null){
    		return create(fj);
    	}else{
            if(this.get(fj.getFJId())!=null){
    			return update(fj);
    		}
    		return create(fj);
    	}
    }

    @Override
    @Transactional
    public boolean create(FJ fj) {
        boolean bOk = false ;
        com.ibiz.core.repository.po.FJ t_FJ = fJRepository.convert2PO(fj,null);
        bOk = fJRepository.create(t_FJ);
        fJRepository.convert2Domain(t_FJ,fj);


        return bOk ;
    }

    @Override
    @Transactional
    public boolean update(FJ fj) {
        boolean bOk = false ;
        com.ibiz.core.repository.po.FJ t_FJ = fJRepository.convert2PO(fj,null);
        bOk = fJRepository.update(t_FJ);
        fJRepository.convert2Domain(t_FJ,fj) ;
        return bOk ;
    }

    @Override
    @Transactional
    public boolean remove(String fjid) {
        boolean bOk = false ;

        FJ _fJ = this.get(fjid);
        bOk = fJRepository.remove(fjid);

        return bOk ;
    }

    @Override
    @Transactional
    public FJ get(String fjid) {
        com.ibiz.core.repository.po.FJ _t_FJ = fJRepository.get(fjid);
        if(_t_FJ == null)
            return null ;

        FJ _fJ = fJRepository.convert2Domain(_t_FJ,null) ;

        return _fJ;
    }

    @Override
    @Transactional
    public FJ get(FJ fj) {
        com.ibiz.core.repository.po.FJ t_FJ = fJRepository.get(fj.getFJId());
        fJRepository.convert2Domain(t_FJ,fj);
        return fj;
    }

    @Override
    public FJ getDraft(FJ fj) {
        return fj;
    }

    @Override
    public boolean checkKey(FJ fj) {
        return true;
    }

    /**
     * 查询集合 CurFJ
     */
    @Override
    public Page<FJ> searchCurFJ(FJSearchContext context) {
        List<FJ> list = new ArrayList<FJ>();
        Page<com.ibiz.core.repository.po.FJ> t_FJs = fJRepository.searchCurFJ(context) ;
        for(com.ibiz.core.repository.po.FJ t_FJ : t_FJs){
            list.add(fJRepository.convert2Domain(t_FJ,null));
        }
        return new PageImpl<FJ>(list, context.getPageable(), t_FJs.getTotalElements());
    }

    /**
     * 查询集合 DEFAULT
     */
    @Override
    public Page<FJ> searchDefault(FJSearchContext context) {
        List<FJ> list = new ArrayList<FJ>();
        Page<com.ibiz.core.repository.po.FJ> t_FJs = fJRepository.searchDefault(context) ;
        for(com.ibiz.core.repository.po.FJ t_FJ : t_FJs){
            list.add(fJRepository.convert2Domain(t_FJ,null));
        }
        return new PageImpl<FJ>(list, context.getPageable(), t_FJs.getTotalElements());
    }






}
