package com.ibiz.core.ht.service.impl;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;
import org.springframework.cglib.beans.BeanCopier;
import org.springframework.stereotype.Service;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.Pageable;
import org.springframework.transaction.annotation.Transactional;
import com.ibiz.core.ht.domain.SRFFILE;
import com.ibiz.core.ht.filter.SRFFILESearchContext;
import com.ibiz.core.ht.service.ISRFFILEService;
import org.springframework.beans.factory.annotation.Autowired;
import com.ibiz.util.SearchResult;

/**
 * 实体[FILE] 服务对象接口实现
 */
@Service
public class SRFFILEServiceImpl implements ISRFFILEService {

    @Autowired
    com.ibiz.core.repository.SRFFILERepository sRFFILERepository;

    @Override
    public boolean checkKey(SRFFILE srffile) {
        return true;
    }

    @Override
    @Transactional
    public SRFFILE get(String srffileid) {
        com.ibiz.core.repository.po.SRFFILE _t_SRFFILE = sRFFILERepository.get(srffileid);
        if(_t_SRFFILE == null)
            return null ;

        SRFFILE _sRFFILE = sRFFILERepository.convert2Domain(_t_SRFFILE,null) ;

        return _sRFFILE;
    }

    @Override
    @Transactional
    public SRFFILE get(SRFFILE srffile) {
        com.ibiz.core.repository.po.SRFFILE t_SRFFILE = sRFFILERepository.get(srffile.getSRFFILEId());
        sRFFILERepository.convert2Domain(t_SRFFILE,srffile);
        return srffile;
    }

    @Override
    public SRFFILE getDraft(SRFFILE srffile) {
        return srffile;
    }

    @Override
    @Transactional
    public boolean update(SRFFILE srffile) {
        boolean bOk = false ;
        com.ibiz.core.repository.po.SRFFILE t_SRFFILE = sRFFILERepository.convert2PO(srffile,null);
        bOk = sRFFILERepository.update(t_SRFFILE);
        sRFFILERepository.convert2Domain(t_SRFFILE,srffile) ;
        return bOk ;
    }

    @Override
    @Transactional
    public boolean remove(String srffileid) {
        boolean bOk = false ;

        SRFFILE _sRFFILE = this.get(srffileid);
        bOk = sRFFILERepository.remove(srffileid);

        return bOk ;
    }

    @Override
    @Transactional
    public boolean create(SRFFILE srffile) {
        boolean bOk = false ;
        com.ibiz.core.repository.po.SRFFILE t_SRFFILE = sRFFILERepository.convert2PO(srffile,null);
        bOk = sRFFILERepository.create(t_SRFFILE);
        sRFFILERepository.convert2Domain(t_SRFFILE,srffile);


        return bOk ;
    }

    @Override
    @Transactional
    public boolean save(SRFFILE srffile) {
        if(srffile.getSRFFILEId()==null){
    		return create(srffile);
    	}else{
            if(this.get(srffile.getSRFFILEId())!=null){
    			return update(srffile);
    		}
    		return create(srffile);
    	}
    }

    /**
     * 查询集合 DEFAULT
     */
    @Override
    public Page<SRFFILE> searchDefault(SRFFILESearchContext context) {
        List<SRFFILE> list = new ArrayList<SRFFILE>();
        Page<com.ibiz.core.repository.po.SRFFILE> t_SRFFILEs = sRFFILERepository.searchDefault(context) ;
        for(com.ibiz.core.repository.po.SRFFILE t_SRFFILE : t_SRFFILEs){
            list.add(sRFFILERepository.convert2Domain(t_SRFFILE,null));
        }
        return new PageImpl<SRFFILE>(list, context.getPageable(), t_SRFFILEs.getTotalElements());
    }






}
