package com.ibiz.core.ht.service.logic.impl;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import com.ibiz.core.ht.service.logic.IIMGetMPLogic;
import com.ibiz.core.ht.domain.IM;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.kie.api.runtime.KieSession;
import org.kie.api.runtime.KieContainer;

/**
 * 关系型数据实体[GetMP] 对象
 */
@Service
public class IMGetMPLogicImpl implements IIMGetMPLogic{

    @Autowired
    private KieContainer kieContainer;

    @Autowired
    private com.ibiz.core.ht.service.IIMService imservice;

    @Autowired
    private com.ibiz.core.ht.service.IIMService iBzSysDefaultService;

    public void execute(IM et){

          KieSession kieSession = null;
        try{
           kieSession=kieContainer.newKieSession();
           kieSession.insert(et); 
           kieSession.setGlobal("imgetmpdefault",et);
           kieSession.setGlobal("imservice",imservice);
           kieSession.setGlobal("iBzSysImDefaultService",iBzSysDefaultService);
           kieSession.startProcess("com.ibiz.core.ht.service.logic.imgetmp");

        }catch(Exception e){
            throw new RuntimeException("执行[GetMP]处理逻辑发生异常"+e);
        }finally {
            if(kieSession!=null)
            kieSession.destroy();
        }
    }

}
