package com.ibiz.core.ht.valuerule.anno.srffile;

import com.ibiz.core.ht.valuerule.validator.srffile.SRFFILEPicwidthDefaultValidator;

import javax.validation.Constraint;
import javax.validation.Payload;
import java.lang.annotation.*;

/**
 * 值规则注解
 * 实体：SRFFILE
 * 属性：Picwidth
 * 值规则：Default
 */
@Target({ElementType.METHOD, ElementType.FIELD, ElementType.PARAMETER})
@Retention(RetentionPolicy.RUNTIME)
@Documented
@Constraint(validatedBy = {SRFFILEPicwidthDefaultValidator.class})
public @interface SRFFILEPicwidthDefault {
    //是否默认检查
    boolean flag() default true;

    //值规则名称
    String info() default "默认规则";

    //值规则信息，如果为空，使用值规则名称。
    String message() default "默认规则";

    Class<?>[] groups() default {};

    Class<? extends Payload>[] payload() default {};
}
