package com.ibiz.core.htwf.filter;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import com.ibiz.util.ISearchFilter;
import com.ibiz.util.domain.DataObj;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ibiz.util.SearchContext;
import com.ibiz.util.SearchFieldFilter;
import com.ibiz.util.enums.SearchFieldType;
import com.ibiz.util.enums.SearchGroupType;
import com.ibiz.util.SearchGroupFilter;
import lombok.Data;

/**
 * 关系型数据实体[WFAS] 查询条件对象
 */
@Data
public class WFASSearchContext extends SearchContext {

	   public String n_wfasname_like;//[加签名称]
       public void setN_wfasname_like(String n_wfasname_like) {
            this.n_wfasname_like=n_wfasname_like;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("wfasname");
            searchField.setCondition(SearchFieldType.LIKE);
            searchField.setValue(n_wfasname_like);
            this.getCondition().add(searchField);
       }
	   public String n_aswfstate_eq;//[加签流程状态]
       public void setN_aswfstate_eq(String n_aswfstate_eq) {
            this.n_aswfstate_eq=n_aswfstate_eq;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("aswfstate");
            searchField.setCondition(SearchFieldType.EQ);
            searchField.setValue(n_aswfstate_eq);
            this.getCondition().add(searchField);
       }
	   public String n_wfstep_eq;//[工作流步骤]
       public void setN_wfstep_eq(String n_wfstep_eq) {
            this.n_wfstep_eq=n_wfstep_eq;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("wfstep");
            searchField.setCondition(SearchFieldType.EQ);
            searchField.setValue(n_wfstep_eq);
            this.getCondition().add(searchField);
       }

	/**
	 * 启用快速搜索
	 */
	public void setQuery(String strQuery)
	{
		 this.query=strQuery;
         if(!org.springframework.util.StringUtils.isEmpty(strQuery)){
           SearchGroupFilter searchGroupFilter=new SearchGroupFilter();
           searchGroupFilter.setSearchGroupType(SearchGroupType.OR);

           SearchFieldFilter wfasname=new SearchFieldFilter();
           wfasname.setParam("wfasname");
           wfasname.setCondition(SearchFieldType.LIKE);
           wfasname.setValue(strQuery);
           searchGroupFilter.getCondition().add(wfasname);
        this.getCondition().add(searchGroupFilter);   

           
           
        }
	}
}
