package com.ibiz.core.htwf.filter;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import com.ibiz.util.ISearchFilter;
import com.ibiz.util.domain.DataObj;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ibiz.util.SearchContext;
import com.ibiz.util.SearchFieldFilter;
import com.ibiz.util.enums.SearchFieldType;
import com.ibiz.util.enums.SearchGroupType;
import com.ibiz.util.SearchGroupFilter;
import lombok.Data;

/**
 * 关系型数据实体[WFIM] 查询条件对象
 */
@Data
public class WFIMSearchContext extends SearchContext {

	   public String n_wfstep_eq;//[工作流步骤]
       public void setN_wfstep_eq(String n_wfstep_eq) {
            this.n_wfstep_eq=n_wfstep_eq;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("wfstep");
            searchField.setCondition(SearchFieldType.EQ);
            searchField.setValue(n_wfstep_eq);
            this.getCondition().add(searchField);
       }
	   public String n_wfimname_like;//[WFIM名称]
       public void setN_wfimname_like(String n_wfimname_like) {
            this.n_wfimname_like=n_wfimname_like;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("wfimname");
            searchField.setCondition(SearchFieldType.LIKE);
            searchField.setValue(n_wfimname_like);
            this.getCondition().add(searchField);
       }
	   public String n_state_eq;//[流程状态]
       public void setN_state_eq(String n_state_eq) {
            this.n_state_eq=n_state_eq;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("state");
            searchField.setCondition(SearchFieldType.EQ);
            searchField.setValue(n_state_eq);
            this.getCondition().add(searchField);
       }

	/**
	 * 启用快速搜索
	 */
	public void setQuery(String strQuery)
	{
		 this.query=strQuery;
         if(!org.springframework.util.StringUtils.isEmpty(strQuery)){
           SearchGroupFilter searchGroupFilter=new SearchGroupFilter();
           searchGroupFilter.setSearchGroupType(SearchGroupType.OR);

           SearchFieldFilter wfimname=new SearchFieldFilter();
           wfimname.setParam("wfimname");
           wfimname.setCondition(SearchFieldType.LIKE);
           wfimname.setValue(strQuery);
           searchGroupFilter.getCondition().add(wfimname);
        this.getCondition().add(searchGroupFilter);   

           
           
        }
	}
}
