package com.ibiz.core.htwf.service.impl;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;
import org.springframework.cglib.beans.BeanCopier;
import org.springframework.stereotype.Service;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.Pageable;
import org.springframework.transaction.annotation.Transactional;
import com.ibiz.core.htwf.domain.WFAS;
import com.ibiz.core.htwf.filter.WFASSearchContext;
import com.ibiz.core.htwf.service.IWFASService;
import org.springframework.beans.factory.annotation.Autowired;
import com.ibiz.util.SearchResult;

/**
 * 实体[加签] 服务对象接口实现
 */
@Service
public class WFASServiceImpl implements IWFASService {

    @Autowired
    com.ibiz.core.repository.WFASRepository wFASRepository;

    @Override
    @Transactional
    public WFAS get(String wfasid) {
        com.ibiz.core.repository.po.WFAS _t_WFAS = wFASRepository.get(wfasid);
        if(_t_WFAS == null)
            return null ;

        WFAS _wFAS = wFASRepository.convert2Domain(_t_WFAS,null) ;

        return _wFAS;
    }

    @Override
    @Transactional
    public WFAS get(WFAS wfas) {
        com.ibiz.core.repository.po.WFAS t_WFAS = wFASRepository.get(wfas.getWFASId());
        wFASRepository.convert2Domain(t_WFAS,wfas);
        return wfas;
    }

    @Override
    @Transactional
    public boolean save(WFAS wfas) {
        if(wfas.getWFASId()==null){
    		return create(wfas);
    	}else{
            if(this.get(wfas.getWFASId())!=null){
    			return update(wfas);
    		}
    		return create(wfas);
    	}
    }

    @Override
    @Transactional
    public boolean remove(String wfasid) {
        boolean bOk = false ;

        WFAS _wFAS = this.get(wfasid);
        bOk = wFASRepository.remove(wfasid);

        return bOk ;
    }

    @Override
    public boolean checkKey(WFAS wfas) {
        return true;
    }

    @Override
    @Transactional
    public boolean update(WFAS wfas) {
        boolean bOk = false ;
        com.ibiz.core.repository.po.WFAS t_WFAS = wFASRepository.convert2PO(wfas,null);
        bOk = wFASRepository.update(t_WFAS);
        wFASRepository.convert2Domain(t_WFAS,wfas) ;
        return bOk ;
    }

    @Override
    public WFAS getDraft(WFAS wfas) {
        return wfas;
    }

    @Override
    @Transactional
    public boolean create(WFAS wfas) {
        boolean bOk = false ;
        com.ibiz.core.repository.po.WFAS t_WFAS = wFASRepository.convert2PO(wfas,null);
        bOk = wFASRepository.create(t_WFAS);
        wFASRepository.convert2Domain(t_WFAS,wfas);


        return bOk ;
    }

    /**
     * 查询集合 DEFAULT
     */
    @Override
    public Page<WFAS> searchDefault(WFASSearchContext context) {
        List<WFAS> list = new ArrayList<WFAS>();
        Page<com.ibiz.core.repository.po.WFAS> t_WFASs = wFASRepository.searchDefault(context) ;
        for(com.ibiz.core.repository.po.WFAS t_WFAS : t_WFASs){
            list.add(wFASRepository.convert2Domain(t_WFAS,null));
        }
        return new PageImpl<WFAS>(list, context.getPageable(), t_WFASs.getTotalElements());
    }






}
