package com.ibiz.core.htwf.service.impl;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;
import org.springframework.cglib.beans.BeanCopier;
import org.springframework.stereotype.Service;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.Pageable;
import org.springframework.transaction.annotation.Transactional;
import com.ibiz.core.htwf.domain.WFBC;
import com.ibiz.core.htwf.filter.WFBCSearchContext;
import com.ibiz.core.htwf.service.IWFBCService;
import org.springframework.beans.factory.annotation.Autowired;
import com.ibiz.util.SearchResult;

/**
 * 实体[业务协作] 服务对象接口实现
 */
@Service
public class WFBCServiceImpl implements IWFBCService {

    @Autowired
    com.ibiz.core.repository.WFBCRepository wFBCRepository;

    @Override
    @Transactional
    public boolean remove(String wfbcid) {
        boolean bOk = false ;

        WFBC _wFBC = this.get(wfbcid);
        bOk = wFBCRepository.remove(wfbcid);

        return bOk ;
    }

    @Override
    @Transactional
    public boolean create(WFBC wfbc) {
        boolean bOk = false ;
        com.ibiz.core.repository.po.WFBC t_WFBC = wFBCRepository.convert2PO(wfbc,null);
        bOk = wFBCRepository.create(t_WFBC);
        wFBCRepository.convert2Domain(t_WFBC,wfbc);


        return bOk ;
    }

    @Override
    @Transactional
    public WFBC get(String wfbcid) {
        com.ibiz.core.repository.po.WFBC _t_WFBC = wFBCRepository.get(wfbcid);
        if(_t_WFBC == null)
            return null ;

        WFBC _wFBC = wFBCRepository.convert2Domain(_t_WFBC,null) ;

        return _wFBC;
    }

    @Override
    @Transactional
    public WFBC get(WFBC wfbc) {
        com.ibiz.core.repository.po.WFBC t_WFBC = wFBCRepository.get(wfbc.getWFBCId());
        wFBCRepository.convert2Domain(t_WFBC,wfbc);
        return wfbc;
    }

    @Override
    @Transactional
    public boolean save(WFBC wfbc) {
        if(wfbc.getWFBCId()==null){
    		return create(wfbc);
    	}else{
            if(this.get(wfbc.getWFBCId())!=null){
    			return update(wfbc);
    		}
    		return create(wfbc);
    	}
    }

    @Override
    public boolean checkKey(WFBC wfbc) {
        return true;
    }

    @Override
    public WFBC getDraft(WFBC wfbc) {
        return wfbc;
    }

    @Override
    @Transactional
    public boolean update(WFBC wfbc) {
        boolean bOk = false ;
        com.ibiz.core.repository.po.WFBC t_WFBC = wFBCRepository.convert2PO(wfbc,null);
        bOk = wFBCRepository.update(t_WFBC);
        wFBCRepository.convert2Domain(t_WFBC,wfbc) ;
        return bOk ;
    }

    /**
     * 查询集合 DEFAULT
     */
    @Override
    public Page<WFBC> searchDefault(WFBCSearchContext context) {
        List<WFBC> list = new ArrayList<WFBC>();
        Page<com.ibiz.core.repository.po.WFBC> t_WFBCs = wFBCRepository.searchDefault(context) ;
        for(com.ibiz.core.repository.po.WFBC t_WFBC : t_WFBCs){
            list.add(wFBCRepository.convert2Domain(t_WFBC,null));
        }
        return new PageImpl<WFBC>(list, context.getPageable(), t_WFBCs.getTotalElements());
    }






}
