package com.ibiz.core.htwf.service.impl;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;
import org.springframework.cglib.beans.BeanCopier;
import org.springframework.stereotype.Service;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.Pageable;
import org.springframework.transaction.annotation.Transactional;
import com.ibiz.core.htwf.domain.WFBM;
import com.ibiz.core.htwf.filter.WFBMSearchContext;
import com.ibiz.core.htwf.service.IWFBMService;
import org.springframework.beans.factory.annotation.Autowired;
import com.ibiz.util.SearchResult;

/**
 * 实体[重要事项] 服务对象接口实现
 */
@Service
public class WFBMServiceImpl implements IWFBMService {

    @Autowired
    com.ibiz.core.repository.WFBMRepository wFBMRepository;

    @Override
    @Transactional
    public boolean remove(String wfbmid) {
        boolean bOk = false ;

        WFBM _wFBM = this.get(wfbmid);
        bOk = wFBMRepository.remove(wfbmid);

        return bOk ;
    }

    @Override
    public boolean checkKey(WFBM wfbm) {
        return true;
    }

    @Override
    public WFBM getDraft(WFBM wfbm) {
        return wfbm;
    }

    @Override
    @Transactional
    public boolean create(WFBM wfbm) {
        boolean bOk = false ;
        com.ibiz.core.repository.po.WFBM t_WFBM = wFBMRepository.convert2PO(wfbm,null);
        bOk = wFBMRepository.create(t_WFBM);
        wFBMRepository.convert2Domain(t_WFBM,wfbm);


        return bOk ;
    }

    @Override
    @Transactional
    public boolean update(WFBM wfbm) {
        boolean bOk = false ;
        com.ibiz.core.repository.po.WFBM t_WFBM = wFBMRepository.convert2PO(wfbm,null);
        bOk = wFBMRepository.update(t_WFBM);
        wFBMRepository.convert2Domain(t_WFBM,wfbm) ;
        return bOk ;
    }

    @Override
    @Transactional
    public WFBM get(String wfbmid) {
        com.ibiz.core.repository.po.WFBM _t_WFBM = wFBMRepository.get(wfbmid);
        if(_t_WFBM == null)
            return null ;

        WFBM _wFBM = wFBMRepository.convert2Domain(_t_WFBM,null) ;

        return _wFBM;
    }

    @Override
    @Transactional
    public WFBM get(WFBM wfbm) {
        com.ibiz.core.repository.po.WFBM t_WFBM = wFBMRepository.get(wfbm.getWFBMId());
        wFBMRepository.convert2Domain(t_WFBM,wfbm);
        return wfbm;
    }

    @Override
    @Transactional
    public boolean save(WFBM wfbm) {
        if(wfbm.getWFBMId()==null){
    		return create(wfbm);
    	}else{
            if(this.get(wfbm.getWFBMId())!=null){
    			return update(wfbm);
    		}
    		return create(wfbm);
    	}
    }

    /**
     * 查询集合 DEFAULT
     */
    @Override
    public Page<WFBM> searchDefault(WFBMSearchContext context) {
        List<WFBM> list = new ArrayList<WFBM>();
        Page<com.ibiz.core.repository.po.WFBM> t_WFBMs = wFBMRepository.searchDefault(context) ;
        for(com.ibiz.core.repository.po.WFBM t_WFBM : t_WFBMs){
            list.add(wFBMRepository.convert2Domain(t_WFBM,null));
        }
        return new PageImpl<WFBM>(list, context.getPageable(), t_WFBMs.getTotalElements());
    }






}
