package com.ibiz.core.htwf.service.impl;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;
import org.springframework.cglib.beans.BeanCopier;
import org.springframework.stereotype.Service;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.Pageable;
import org.springframework.transaction.annotation.Transactional;
import com.ibiz.core.htwf.domain.WFIM;
import com.ibiz.core.htwf.filter.WFIMSearchContext;
import com.ibiz.core.htwf.service.IWFIMService;
import org.springframework.beans.factory.annotation.Autowired;
import com.ibiz.util.SearchResult;

/**
 * 实体[重要事项] 服务对象接口实现
 */
@Service
public class WFIMServiceImpl implements IWFIMService {

    @Autowired
    com.ibiz.core.repository.WFIMRepository wFIMRepository;

    @Override
    @Transactional
    public boolean remove(String wfimid) {
        boolean bOk = false ;

        WFIM _wFIM = this.get(wfimid);
        bOk = wFIMRepository.remove(wfimid);

        return bOk ;
    }

    @Override
    @Transactional
    public boolean update(WFIM wfim) {
        boolean bOk = false ;
        com.ibiz.core.repository.po.WFIM t_WFIM = wFIMRepository.convert2PO(wfim,null);
        bOk = wFIMRepository.update(t_WFIM);
        wFIMRepository.convert2Domain(t_WFIM,wfim) ;
        return bOk ;
    }

    @Override
    public WFIM getDraft(WFIM wfim) {
        return wfim;
    }

    @Override
    @Transactional
    public boolean save(WFIM wfim) {
        if(wfim.getWFIMId()==null){
    		return create(wfim);
    	}else{
            if(this.get(wfim.getWFIMId())!=null){
    			return update(wfim);
    		}
    		return create(wfim);
    	}
    }

    @Override
    @Transactional
    public boolean create(WFIM wfim) {
        boolean bOk = false ;
        com.ibiz.core.repository.po.WFIM t_WFIM = wFIMRepository.convert2PO(wfim,null);
        bOk = wFIMRepository.create(t_WFIM);
        wFIMRepository.convert2Domain(t_WFIM,wfim);


        return bOk ;
    }

    @Override
    @Transactional
    public WFIM get(String wfimid) {
        com.ibiz.core.repository.po.WFIM _t_WFIM = wFIMRepository.get(wfimid);
        if(_t_WFIM == null)
            return null ;

        WFIM _wFIM = wFIMRepository.convert2Domain(_t_WFIM,null) ;

        return _wFIM;
    }

    @Override
    @Transactional
    public WFIM get(WFIM wfim) {
        com.ibiz.core.repository.po.WFIM t_WFIM = wFIMRepository.get(wfim.getWFIMId());
        wFIMRepository.convert2Domain(t_WFIM,wfim);
        return wfim;
    }

    @Override
    public boolean checkKey(WFIM wfim) {
        return true;
    }

    /**
     * 查询集合 DEFAULT
     */
    @Override
    public Page<WFIM> searchDefault(WFIMSearchContext context) {
        List<WFIM> list = new ArrayList<WFIM>();
        Page<com.ibiz.core.repository.po.WFIM> t_WFIMs = wFIMRepository.searchDefault(context) ;
        for(com.ibiz.core.repository.po.WFIM t_WFIM : t_WFIMs){
            list.add(wFIMRepository.convert2Domain(t_WFIM,null));
        }
        return new PageImpl<WFIM>(list, context.getPageable(), t_WFIMs.getTotalElements());
    }






}
